Get CryptoOrder Details
1 min
API that returns clients crypto orders matching the requestId. This api requires access token that can be generated using Access Token API.
The response is a list of Crypto Orders which matches the given criteria.
- orderId
- updatedTs : Last Order updated timestamp in epoch milliseconds
- orderType : Type of Order. Can be CHECKOUT/PAYOUT
- requestId : Unique ID passed during Order creation
- clientId : Client ID
- receivedAmount : Actual amount received in supported currency
- payersEmail : Email of the user
- settlementStatus: Status of the settlement
- txnHash: On-Chain transaction hash
- cryptoCurId : Name of the currency supported
- cryptoAmount : Currency Amount
- errorReason : Contains errorCode and errorDesc. Will be received only in case if status is FAILED. List of possible Error Codes
Get Order Details
Get order details by client's request-id
GET
https://your-hostname.pay3.app/v1/client/crypto-orders?requestId=your-request-id&clientId=your-client-id
Query Parameters
- requestIdstringrequiredDescription
- clientIdstringrequiredDescription
Header Parameters
- access-tokenstringrequiredDescription
curl
curl --location 'https://your-hostname.pay3.app/v1/client/crypto-orders?requestId=your-request-id&clientId=your-client-id' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'access-token: ACCESS-TOKEN-IN-JWT'200
{
"data": [
{
"orderId": "5616750d-4829-4099-aacb-16deadf36cde",
"orderStatus": "COMPLETED",
"updatedTs": 1725261631603,
"orderType": "CryptoPayin",
"requestId": "nlnwevw_5e449b97",
"clientId": "5e449b97-c53b-4ed0-ac00-7b50e2f2406b",
"paymentStatus": "COMPLETED",
"receivedAmount": "0.00018900",
"payersEmail": "[email protected]",
"settlementStatus": "NOT_REQUIRED",
"txnHash": "08930348ce4d928694889a",
"cryptoCurId": "btc_bitcoin",
"cryptoAmount": "0.000173",
"errorReason": {
"errorCode": "9004",
"errorDesc": "Error occurred while the payment was processed by the payment partner"
}
}
]
}401
{"error":"Client verification failed"}